#!/usr/bin/python3
# -*- coding: utf-8 -*-

#-------------------------------------------------------------------------------
# Author:      Lama Angelo
#
# Copyright:   (c) Lama Angelo 2021
#-------------------------------------------------------------------------------

# -------------------------------------------------------
# J'ai mis un copyright mais ceci n'est pas entièrement 
# de moi. J'ai repris l'exemple de barre de progression 
# fourni ici : https://pythonpyqt.com/pyqt-progressbar/
# -------------------------------------------------------

from PyQt5.QtCore import QTimer
from PyQt5.QtWidgets import QProgressBar


class BarreDeProgressionExportImage(QProgressBar) :
    """ Classe qui met en place la barre de 
    progression factice (car elle travaille 
    avec Qtimer) pour l'exportation de 
    l'exposition sous forme d'une image """
    
    def __init__(self, *args, **kwargs) :
        super(BarreDeProgressionExportImage, self).__init__(*args, **kwargs)

        # La barre de progression est
        # d'abord montrée (visible)
        self.show()
        # La valeur est d'abord 
        # positionnée à 0
        self.setValue(0)
        # Si la valeur minimum est différente 
        # de la valeur maximum ...
        if self.minimum() != self.maximum() :
            # utilisation d'un QTimer et appel de la fonction
            self.timer = QTimer(self, timeout=self.onTimeout)
            self.timer.start(10) # 10 permet un défilement assez rapide


    def onTimeout(self) :
        
        # Si la valeur est 
        # arrivée à 100%
        if self.value() >= 100 :
            # ... la barre de progression
            # est alors cachée (invisible)
            self.hide()
            # ... et le QTimer s'arrête
            self.timer.stop()
            self.timer.deleteLater()
            del self.timer
            return
        
        # Dans le cas contraire la 
        # barre de progression s'incrémente
        self.setValue(self.value() + 1)
        
