#!/usr/bin/python3
# -*- coding: utf-8 -*-

#-------------------------------------------------------------------------------
# Author: eyllanesc 
# --> https://stackoverflow.com/questions/53415379/align-icon-on-the-right-and-center-the-text-in-a-qpushbutton
#-------------------------------------------------------------------------------
#  Modification Diablo76
#
#  Animation des boutons droits de l'interface
#  Ligne modifiée n° 26
#-------------------------------------------------------------------------------
#


# Imports PyQt5 -----------------------------------------------------------------------
from PyQt5.QtCore import Qt
from PyQt5.QtWidgets import (QHBoxLayout, QLabel, QPushButton)
from PyQt5.QtGui import QIcon 
# -------------------------------------------------------------------------------------- 

class PushButtonIconeGauche(QPushButton):
    ''' '''
    def __init__(self, *args, **kwargs):
        super(PushButtonIconeGauche, self).__init__(*args, **kwargs)
        # Animation dégradé boutons droit gauche
        self.setStyleSheet('''QPushButton {
            background-color: qlineargradient(x1: 0, y1: 0, x2: 0, y2: 1, stop: 0 #fdfbf7, stop: 1 #6190F2);
            border-style: solid;
            border-width: 2px;
            border-radius: 8px;
            border-color: #9BB7F0;
            padding: 3px; }'''
            '''QPushButton:pressed {
            background-color: qlineargradient(x1: 0, y1: 0, x2: 0, y2: 1, stop: 0 #6190F2, stop: 1 #fdfbf7);
            border-style: solid;
            border-width: 2px;
            border-radius: 8px;
            border-color: #9BB7F0;
            padding: 3px; }''')

        icon = self.icon()
        icon_size = self.iconSize()
        # remove icon
        self.setIcon(QIcon())
        label_icon = QLabel()
        label_icon.setAttribute(Qt.WA_TranslucentBackground)
        label_icon.setAttribute(Qt.WA_TransparentForMouseEvents)
        lay = QHBoxLayout(self)
        lay.setContentsMargins(+5, 0, +5, 0)
        lay.addWidget(label_icon, alignment=Qt.AlignLeft)
        label_icon.setPixmap(icon.pixmap(icon_size))
