#!/usr/bin/python3
#-*- coding: utf-8 -*-

#-------------------------------------------------------------------------------
# Author:      Lama Angelo
#
# Copyright:   (c) Lama Angelo 2021
#-------------------------------------------------------------------------------

import glob

def recherche_installation_navigateur_web_linux() :
    """ Fonction de recherche du chemin du binaire 
    du navigateur web utilisable (sous GNU/Linux) 
    pour afficher la documentation de MurExpo """
    
    # Liste pour récupérer les chemins
    liste_chem_navigateur_web = []
    # Ouverture avec webbrowser
    # --> Recherche avec les clés 
    # de webbrowser sous GNU/Linux
    for nav in ['firefox', 'chromium-browser', 'chromium', \
                'google-chrome', 'chrome', 'opera', 'galeon', \
                'epiphany', 'konqueror', 'kfm'] :
        # Recherche du chemin sur 3 niveaux
        # par exemple :
        # /usr/bin/.... ... ou ...
        # /usr/local/bin/... ... ou ...
        # ... /usr/...autre chemin
        for n in range(3) :
            # On ne recherche qu'à partir de /usr/...
            recherche = glob.glob("/usr"+n*"/*"+"/"+nav)
            for rech in recherche :
                # Il faut obligatoirement qu'il y ait 
                # un répertoire bin dans le chemin ...
                if 'bin' in rech :
                    liste_chem_navigateur_web.append(rech)
    # On ne renvoie que la 1ère occurrence de la liste
    return liste_chem_navigateur_web[0]
