#!/usr/bin/python3
#-*- coding: utf-8 -*-

#-------------------------------------------------------------------------------
# Author:      Lama Angelo
#
# Copyright:   (c) Lama Angelo 2021
#-------------------------------------------------------------------------------

# Imports PyQt5 --------------------------------------
from PyQt5.QtCore import (QCoreApplication, QProcess, QLocale)
# ----------------------------------------------------

import sys

# ---------------------------------------------------------------------------------------------
# Gestion de la langue du système (et des fichiers de traduction)
# ---------------------------------------------------------------------------------------------
import gettext
try :
    # On récupère la locale
    locale = QLocale.system().name() # exemple (anglais) : en_EN
    loc_langue = gettext.translation('murexpo', localedir='locale', languages=[locale[0:2]])
    loc_langue.install()
except :
    # Pour les français (langue par défaut)
    _ = gettext.gettext
# *********************************************************************************************
# Pour tester en anglais par exemple (il faut que les fichiers /locale/LC_MESSAGES/murexpo.po
# et /locale/LC_MESSAGES/murexpo.mo existent et qu'au moins une ligne ait été traduite dans
# PoEdit) .... et ensuite ce code ( à la palce de l'autre au dessus) :
"""
import gettext
try :
    loc_langue = gettext.translation('murexpo', localedir='locale', languages=['en'])
    loc_langue.install()
except :
    _ = gettext.gettext
"""
# *********************************************************************************************
# ---------------------------------------------------------------------------------------------


def redemarrer(self) :
    """ Fonction permettant de redémarrer MurExpo
    à chaque fois que l'utilisateur fait une
    modification ...
    ==============================================
    J'ai trouvé comment faire ici :
    https://stackoverflow.com/questions/62609780/
    how-to-reboot-pyqt5-application
    ============================================== """
    
    QCoreApplication.quit()
    status = QProcess.startDetached(sys.executable, sys.argv)
    print(_("Redémarrage de MurExpo après modifications"))
