#!/usr/bin/python3
#-*- coding: utf-8 -*-

#-------------------------------------------------------------------------------
# Author:      Lama Angelo
#
# Copyright:   (c) Lama Angelo 2018
#-------------------------------------------------------------------------------

import os

class Tempo_lecture():
    '''
    Classe utilisée pour la lecture des données (par exemple les 
    options pour l'écriture du pdf de la séquence prof avec pdfkit) 
    dans un choix de répertoires temporaires
    '''
    
    def __init__(self, chemin_recherche_1, chemin_recherche_2, nom_recherche_1, nom_recherche_2):
        super().__init__()
        
        self.chemin_recherche_1 = chemin_recherche_1
        self.chemin_recherche_2 = chemin_recherche_2
        self.nom_recherche_1 = nom_recherche_1
        self.nom_recherche_2 = nom_recherche_2

        # Détection du fichier contenant les options
        # ---------------------------------------------------------------- #
        # Si l'écriture dans le répertoire temporaire échoue, le fichier
        # est écrit dans le réperoire racine de l'application
        try :
            fichiers = os.listdir(self.chemin_recherche_1)
            for fich in fichiers :
                if self.nom_recherche_1 in fich :
                    self.nom_fichier_options = fich
        except :
            fichiers = os.listdir(self.chemin_recherche_2)
            for fich in fichiers :
                if self.nom_recherche_2 in fich :
                    self.nom_fichier_options = fich

           
    def affichage(self) :

        # Ouverture du fichier temporaire et transformation 
        # des données en liste
        # Exemple d'un contenu : ['/home/angelo/wx.pdf\n', '6\n', 
        # "«Le support et l'oeuvre 001»\n", '1\n', '10\n', '10\n', '10\n', '10']
        try : 
            with open(self.chemin_recherche_1+os.sep+self.nom_fichier_options, "r") as f :
                capture = f.readlines()
                
                return capture
                
        except :
            with open(self.chemin_recherche_2+os.sep+self.nom_fichier_options, "r") as f :
                capture = f.readlines()
                
                return capture
