#!/usr/bin/python3
#-*- coding: utf-8 -*-

#-------------------------------------------------------------------------------
# Author:      Lama Angelo
#
# Copyright:   (c) Lama Angelo 2021
#-------------------------------------------------------------------------------

# Le chemin du répertoire temporaire est 
# conditionné par le système d'exploitation
from tempo_chemin_plateforme import Chemin_Rep_Tempo

# Ecrire les données dans le répertoire temporaire
from tempo_ecriture import Tempo_ecriture

import os


class CapterCommandesMurExpo(object) :
    """ Classe pour capter les commandes éxécutées 
    par l'utilisateur (actions de l'utilisateur et 
    traitements effectués dans MurExpo """
    
    # Liste des actions 
    # et traitement qui 
    # va être remplie 
    # au fur et à mesure ...
    liste_evolue = []
    
    def __init__(self):
        super(CapterCommandesMurExpo, self).__init__()
        
        # Appel de la classe pour récupérer le chemin du 
        # répertoire temporaire selon le système d'exploitation
        chem_rep_tempo = Chemin_Rep_Tempo()
        # Le chemin est retourné (return ds la fonction de la classe)
        self.chemin_tempo_system_exploit = chem_rep_tempo.chemin_tempo()
        
        
    def liste_capter_commandes(self, item) :
        # Remplissage de la liste
        self.liste_evolue.append(item)

        
    def liste_ecrire_commandes(self) :
        # Ecriture des commandes dans le fichier data_retour_commandes_murexpo
        ecr_tempo_commandes = Tempo_ecriture(self.chemin_tempo_system_exploit, os.getcwd(), "data_retour_commandes_murexpo_", "data_retour_commandes_murexpo", ".txt", "".join(self.liste_evolue))
